BEGIN MYSELFIN

//Global("MyRaceBlood","LOCALS",4)
IF ~Global("SelectRace","LOCALS",0)~ THEN BEGIN SelectRace
  SAY ~(Your head hurts. Your eyes are blinded by sun. You feel a hunger. Remember, what has happened to you this night?)~
  ++ ~I remember that I went after dark to walk and a vampiress have approached and bitten me into neck.~ + goVamp
  ++ ~No, this wasn't what happened.~ + goNext1
END  

IF ~~ goVamp
  SAY ~(Vampiress surely was lovely one. After she converted you into a vampire, she gave you a cloak to walk under sun and said to go to Friendly Arm Inn, there will be a friend. You must go there with Gorion or without him. Maybe it's better not to tell Gorion, that you are a vampire. He can kill you for that.)~
IF ~~ THEN DO ~SetGlobal("ActorVampirisedLevel","LOCALS",1)
GiveItemCreate("OHHKORK",Myself,1,1,0) // Empty Casket
ChangeGeneral(Myself,UNDEAD)
ChangeRace(Myself,VAMPIRE)
XEquipItem("OHHKORK",Myself,SLOT_CLOAK,EQUIP) // Ring
ApplySpellRES("SPINVAMP",Myself)
//ApplySpell(Myself,"SPINVAMP")
SetDialog("")
SetGlobal("SelectRace","LOCALS",1)~ EXIT
END

IF ~~ goNext1
  SAY ~(No, maybe it was not a vampiress? You remember some animal look and a fur of a wolf or bear.)~
  ++ ~I definitely was bitten by werewolf or werebear. I want to tear apart someone right now.~ + goLycanthrope
   ++ ~No, this wasn't what happened.~ + goNext2 
END

IF ~~ goLycanthrope
  SAY ~(That's right. It was a werewolf girl. She said something about going to some isle from Baldur's Gate. I don't plan to sail anywhere soon. I am now a dangerous animal even for people close to me.)~
IF ~~ THEN DO ~SetGlobalTimer("LycanthropeForm","LOCALS",FOUR_HOURS)
ChangeRace(Myself,LYCANTHROPE)
AddSpecialAbility("SPCL643")
AddSpecialAbility("SPINHUM")
AddSpecialAbility("SPCL643")
AddSpecialAbility("SPINHUM")
AddSpecialAbility("SPCL643")
AddSpecialAbility("SPINHUM")
AddSpecialAbility("SPCL643")
AddSpecialAbility("SPINHUM")
SetGlobal("MyRaceBlood","LOCALS",2)
SetDialog("")
SetGlobal("SelectRace","LOCALS",1)
~ EXIT
END

IF ~~ goNext2
  SAY ~(No, it was just an accidental talk with someone. Head hurts, because I got drunk about departing from Candlekeep.)~
  ++ ~Dawn, I am a fool! I forgot that I am a drow. That's why sun is burning my skin.~ + goDrow
   ++ ~Yes, I just was drunk. That's all, thank gods of Faerun!~ + goEnd 
   ++ ~No, you feel it's not a hunger, but more a hate and rage.~ + goNext3
END

IF ~~ goNext3
  SAY ~(Why do I feel hate and rage? I can't remember!)~
   ++ ~Yes, I just was drunk. That's all, thank gods of Faerun!~ + goEnd 
   ++ ~Haha, it's because I am a demon!.~ + goDemon
END




IF ~~ goEnd2
  SAY ~(I must pack things. I am moving out with Gorion today.)~ 
 // IF ~!Gender(MALE)~ THEN REPLY ~Yes, I am a busy girl today.~ GOTO goEnd2
 // IF ~Gender(MALE)~ THEN REPLY ~Yes, I am a busy boy today.~ GOTO goEnd2
 // IF ~!Gender(MALE)~ THEN REPLY ~Yes, I am a busy futanari today.~ DO ~ChangeGender(Player1,BOTH)~ GOTO goEnd2
 // IF ~Gender(MALE)~ THEN REPLY ~Yes, I am a busy hermaphrodite today.~ DO ~ChangeGender(Player1,BOTH)~ GOTO goEnd2
 // IF ~~ THEN REPLY ~Yes, I am a busy genderless person today.~ DO ~ChangeGender(Player1,NIETHER)~ GOTO goEnd2
  
 IF ~~ THEN DO ~SetDialog("")
 SetGlobal("SelectRace","LOCALS",1)~ EXIT
END




IF ~~ goEnd
  SAY ~(I must pack things. I am moving out with Gorion today.)~ 
  IF ~~ THEN DO ~SetDialog("")
SetGlobal("SelectRace","LOCALS",1)~ EXIT
END

IF ~~ goDrow
  SAY ~(This time it's a true. My hair is of silver color and my skin is black. I was born like this.)~
IF ~!Gender(Player1,MALE)~ THEN DO ~
ChangeRace(Myself,ELF)
ApplySpell(Myself,DROW_CHANGE)
Polymorph(DROW_FEMALE)
//ApplySpellRES("SPINDROW",Myself)
//ChangeAnimationNoEffect("DROW04") 
//RemoveSpecialAbility("SPINDROW")
SetGlobal("Player1Drow","GLOBAL",1)
ChangeSpecifics(Myself,DROW)
SetGlobal("PlayerLooksLikeDrow","GLOBAL",1)
SetGlobal("PlayerLooksLikeDrow","LOCALS",1)
SetGlobal("spawnAbolethPlot","GLOBAL",2)
SetGlobal("UsedAlboleth","AR2200",2)
SetDialog("")
SetGlobal("SelectRace","LOCALS",1)
~ EXIT
IF ~Gender(Player1,MALE)~ THEN DO ~
ChangeRace(Myself,ELF)
Polymorph(DROW)
//ApplySpell(Myself,DROW_CHANGE)
//ApplySpellRES("SPINDROW",Myself)
//ChangeAnimationNoEffect("DADROW19") 
//RemoveSpecialAbility("SPINDROW")
SetGlobal("Player1Drow","GLOBAL",1)
ChangeSpecifics(Myself,DROW)
SetGlobal("PlayerLooksLikeDrow","GLOBAL",1)
SetGlobal("PlayerLooksLikeDrow","LOCALS",1)
SetGlobal("spawnAbolethPlot","GLOBAL",2)
SetGlobal("UsedAlboleth","AR2200",2)
SetDialog("")
SetGlobal("SelectRace","LOCALS",1)
~ EXIT
END




IF ~~ goDemon
  SAY ~(Yes, I remember, that I am demon from lower planes and I have posessed Bhaalspawn body this night. I hate all these living things around me and this bhaalspawn thing will help me to bring Realms under rule of my race.)~
IF ~~ THEN DO ~
ChangeRace(Myself,DEMONIC)
SetGlobal("Player1Demonic","GLOBAL",1)
SetGlobal("MyRaceBlood","LOCALS",2)
SetDialog("")
SetGlobal("SelectRace","LOCALS",1)
~ EXIT
END
